Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.search.engine
Enum EntityState

    java.lang.Object
      java.lang.Enum<EntityState>
          org.hibernate.search.engine.EntityState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EntityState>

    public enum EntityState

extends java.lang.Enum<EntityState>

Entity state with regard to indexing possibilities

Author:
  Emmanuel Bernard

Enum Constant Summary
`CONTAINED_IN_ONLY`
`INDEXED`
`NON_INDEXABLE`

Method Summary
`static EntityState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EntityState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INDEXED

    public static final EntityState INDEXED

### CONTAINED_IN_ONLY

    public static final EntityState CONTAINED_IN_ONLY

### NON_INDEXABLE

    public static final EntityState NON_INDEXABLE

Method Detail

### values

    public static EntityState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EntityState c : EntityState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EntityState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.